package cn.com.qmth.mps.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.mps.bean.PaperDetail;
import cn.com.qmth.mps.bean.PaperGroup;
import cn.com.qmth.mps.entity.base.AuditingEntity;
import cn.com.qmth.mps.handle.PaperDetailHandler;
import cn.com.qmth.mps.handle.PaperGroupHandler;

@TableName(value="mps_paper",autoResultMap = true)
public class PaperEntity extends AuditingEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8681575737341326402L;
	private Long schoolId;
	private Long examId;
	private Long courseId;
	private Double totalScore;
	private Double objectiveScore;

	private Double subjectiveScore;
	
	@TableField(value = "struct_info", typeHandler = PaperDetailHandler.class)
	private List<PaperDetail> structInfo;
	@TableField(value = "group_info", typeHandler = PaperGroupHandler.class)
	private List<PaperGroup> groupInfo;

	private String paperType;
	
	private Boolean groupFinish;

	public Long getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}


	public List<PaperDetail> getStructInfo() {
		return structInfo;
	}

	public void setStructInfo(List<PaperDetail> structInfo) {
		this.structInfo = structInfo;
	}

	public List<PaperGroup> getGroupInfo() {
		return groupInfo;
	}

	public void setGroupInfo(List<PaperGroup> groupInfo) {
		this.groupInfo = groupInfo;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public Boolean getGroupFinish() {
		return groupFinish;
	}

	public void setGroupFinish(Boolean groupFinish) {
		this.groupFinish = groupFinish;
	}

	
	
}
